ONVIF::Device::Types::Certificate(3)

NAME
ONVIF::Device::Types::Certificate

DESCRIPTION
Perl data type class for the XML Schema defined complexType Certificate from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   CertificateID

•   Certificate

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::Certificate
   CertificateID =>  $some_value, # token
   Certificate =>  { # ONVIF::Device::Types::BinaryData
     Data =>  $some_value, # base64Binary
   },
 },

AUTHOR
Generated by SOAP::WSDL